Bug 52245 - Spec file build error for non-root
Summary: Spec file build error for non-root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: balsa   
(Show other bugs)
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-21 22:41 UTC by Need Real Name
Modified: 2014-03-17 02:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-22 02:25:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-08-21 22:41:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.6-3.1 i686)

Description of problem:
During build:make[1]: Leaving directory `/usr/src/redhat/BUILD/balsa-1.1.7'
+ rm -f /usr/share/sounds/balsa/newmail.wav
/usr/share/sounds/balsa/startup.wav
rm: cannot unlink `/usr/share/sounds/balsa/newmail.wav': Permission denied
rm: cannot unlink `/usr/share/sounds/balsa/startup.wav': Permission denied
error: Bad exit status from /var/tmp/rpm-tmp.9433 (%install)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Recompile from source as non-root.
2.
3.
	

Actual Results:  Errors as described above.

Additional info:

The spec file specifies the following for install:
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f /usr/share/sounds/balsa/*
%find_lang %{name}

Is it really advisable to remove already installed files? It definitely
does not work for non-root. Maybe this should this be done in the %post
target, which is executed by root?

balsa-1.1.7-4
rpm-4.0.3-0.88

Comment 1 Bill Nottingham 2001-08-22 02:25:37 UTC
A dumb typo, fixed in 1.1.7-5.


Note You need to log in before you can comment on or make changes to this bug.